## ros-melodic-swri-profiler 0.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(swri_profiler)

set(BUILD_DEPS
  diagnostic_updater
  roscpp
  rospy
  std_msgs 
  swri_profiler_msgs
)

set(RUNTIME_DEPS
  diagnostic_updater
  roscpp
  rospy
  std_msgs 
  swri_profiler_msgs 
)


### Catkin ###
find_package(catkin REQUIRED COMPONENTS ${BUILD_DEPS})

include_directories(include
  ${catkin_INCLUDE_DIRS})

catkin_package(CATKIN_DEPENDS ${RUNTIME_DEPS}
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME})


add_library(${PROJECT_NAME}
  src/profiler.cpp
  )
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME} PROPERTIES
  COMPILE_FLAGS "-std=c++11"
)

add_executable(basic_profiler_example_node src/nodes/basic_profiler_example_node.cpp)
target_link_libraries(basic_profiler_example_node ${PROJECT_NAME})
set_target_properties(basic_profiler_example_node PROPERTIES
  COMPILE_FLAGS "-std=c++11"
)

add_dependencies(${PROJECT_NAME} swri_profiler_msgs_generate_messages_cpp)

### Install Test Node and Headers ###
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  basic_profiler_example_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/record_profiler_data scripts/profiler_server
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY html/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/html
)

=== debian/changelog ===
ros-melodic-swri-profiler (0.2.2-1bionic) bionic; urgency=high

  * Update catkin dependencies for swri_profiler_tools
  * Enable c++11 support
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-melodic-swri-profiler (0.2.1-1bionic) bionic; urgency=high

  * Add repository url to package.xml
  * Correct license tag in package.xml.
  * Clean up CMakeLists
  * Contributors: Isaac I.Y. Saito, Matthew Bries, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-melodic-swri-profiler (0.2.0-1bionic) bionic; urgency=high

  * Update maintainers
  * Make master build on both Indigo and Kinetic
  * Install Python scripts & HTML files
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 18 Apr 2019 05:00:00 -0000

ros-melodic-swri-profiler (0.1.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 14 Dec 2017 06:00:00 -0000

ros-melodic-swri-profiler (0.0.3-1bionic) bionic; urgency=high

  * Add Travis CI support
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 23 Nov 2016 06:00:00 -0000

ros-melodic-swri-profiler (0.0.2-1bionic) bionic; urgency=high

  * Add missing runtime dependency on rosbridge_server
  * profiler_server no longer requires python 3
  * Update to profiler to handle unexpected case.
  * Working on database backend.
  * Modify profiler data message to include current ros time.
  * Add script to record profiler data to a bag file.
  * Fix timestamp on profiler index messages.
  * Adding an arg for the HTTP server port; doing a little cleanup.
  * Add preprocessor option to disable profiler.
  * Major update to both profiler backend and JS viewer.
  * Add basic_profiler_example_node.
  * Change profiler backend to use a thread instead of timers.
  * Initial commit
  * Contributors: Edward Venator, Elliot Johnson, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 23 Nov 2016 06:00:00 -0000

=== debian/control ===
Source: ros-melodic-swri-profiler
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs, ros-melodic-swri-profiler-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-swri-profiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-updater, ros-melodic-rosbridge-server, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs, ros-melodic-swri-profiler-msgs
Description: swri_profiler provides basic tools for real-time selective profiling of ROS C++ nodes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-swri-profiler//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
